Changeset 1721

Show
Ignore:
Timestamp:
02/17/05 20:33:47 (4 years ago)
Author:
morris
Message:

-lcrypto before -lssl. Fixes #37.

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • wire/trunk/configure

    r1720 r1721  
    23912391 
    23922392####################################################################### 
    2393 # Checks for librarie
     2393# Checks for additional path
    23942394 
    23952395# Check if we need /usr/local/{include,lib}/ 
     
    24102410if test -d /usr/local/ssl/lib; then 
    24112411        LDFLAGS="$LDFLAGS -L/usr/local/ssl/lib" 
     2412fi 
     2413 
     2414 
     2415# Check if we need /usr/kerberos/include 
     2416if test -d /usr/kerberos/include; then 
     2417        CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include" 
     2418fi 
     2419 
     2420 
     2421####################################################################### 
     2422# Checks for libraries 
     2423 
     2424# Check that we have a libzanka in this directory 
     2425if ! test -f libzanka/configure; then 
     2426 
     2427    { { echo "$as_me:$LINENO: error: could not locate libzanka 
     2428 
     2429You need to download a version of libzanka and place it in the same directory as this configure script" >&5 
     2430echo "$as_me: error: could not locate libzanka 
     2431 
     2432You need to download a version of libzanka and place it in the same directory as this configure script" >&2;} 
     2433   { (exit 1); exit 1; }; } 
     2434 
    24122435fi 
    24132436 
     
    26942717fi 
    26952718rm -f conftest.err conftest.$ac_ext 
    2696  
    2697  
    2698 # Check that we have a libzanka in this directory 
    2699 if ! test -f libzanka/configure; then 
    2700  
    2701     { { echo "$as_me:$LINENO: error: could not locate libzanka 
    2702  
    2703 You need to download a version of libzanka and place it in the same directory as this configure script" >&5 
    2704 echo "$as_me: error: could not locate libzanka 
    2705  
    2706 You need to download a version of libzanka and place it in the same directory as this configure script" >&2;} 
    2707    { (exit 1); exit 1; }; } 
    2708  
    2709 fi 
    27102719 
    27112720 
     
    32723281 
    32733282 
    3274 # Check for the OpenSSL ssl library 
     3283# Check for the OpenSSL crypto library 
    32753284echo "$as_me:$LINENO: checking for egrep" >&5 
    32763285echo $ECHO_N "checking for egrep... $ECHO_C" >&6 
     
    35123521 
    35133522 
    3514 for ac_header in openssl/ssl.h 
     3523for ac_header in openssl/sha.h 
    35153524do 
    35163525as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    36493658_ACEOF 
    36503659 
    3651         echo "$as_me:$LINENO: checking for main in -lssl" >&5 
    3652 echo $ECHO_N "checking for main in -lssl... $ECHO_C" >&6 
    3653 if test "${ac_cv_lib_ssl_main+set}" = set; then 
     3660        echo "$as_me:$LINENO: checking for main in -lcrypto" >&5 
     3661echo $ECHO_N "checking for main in -lcrypto... $ECHO_C" >&6 
     3662if test "${ac_cv_lib_crypto_main+set}" = set; then 
    36543663  echo $ECHO_N "(cached) $ECHO_C" >&6 
    36553664else 
    36563665  ac_check_lib_save_LIBS=$LIBS 
    3657 LIBS="-lssl  $LIBS" 
     3666LIBS="-lcrypto  $LIBS" 
    36583667cat >conftest.$ac_ext <<_ACEOF 
    36593668#line $LINENO "configure" 
     
    36853694  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    36863695  (exit $ac_status); }; }; then 
    3687   ac_cv_lib_ssl_main=yes 
     3696  ac_cv_lib_crypto_main=yes 
    36883697else 
    36893698  echo "$as_me: failed program was:" >&5 
    36903699sed 's/^/| /' conftest.$ac_ext >&5 
    36913700 
    3692 ac_cv_lib_ssl_main=no 
     3701ac_cv_lib_crypto_main=no 
    36933702fi 
    36943703rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
    36953704LIBS=$ac_check_lib_save_LIBS 
    36963705fi 
    3697 echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_main" >&5 
    3698 echo "${ECHO_T}$ac_cv_lib_ssl_main" >&6 
    3699 if test $ac_cv_lib_ssl_main = yes; then 
    3700  
    3701                 LIBS="$LIBS -lssl
     3706echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_main" >&5 
     3707echo "${ECHO_T}$ac_cv_lib_crypto_main" >&6 
     3708if test $ac_cv_lib_crypto_main = yes; then 
     3709 
     3710                LIBS="$LIBS -lcrypto
    37023711 
    37033712else 
     
    37423751 
    37433752 
    3744 # Check for the OpenSSL crypto library 
    3745  
    3746 for ac_header in openssl/sha.h 
     3753# Check for the OpenSSL ssl library 
     3754 
     3755for ac_header in openssl/ssl.h 
    37473756do 
    37483757as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    38813890_ACEOF 
    38823891 
    3883         echo "$as_me:$LINENO: checking for main in -lcrypto" >&5 
    3884 echo $ECHO_N "checking for main in -lcrypto... $ECHO_C" >&6 
    3885 if test "${ac_cv_lib_crypto_main+set}" = set; then 
     3892        echo "$as_me:$LINENO: checking for main in -lssl" >&5 
     3893echo $ECHO_N "checking for main in -lssl... $ECHO_C" >&6 
     3894if test "${ac_cv_lib_ssl_main+set}" = set; then 
    38863895  echo $ECHO_N "(cached) $ECHO_C" >&6 
    38873896else 
    38883897  ac_check_lib_save_LIBS=$LIBS 
    3889 LIBS="-lcrypto  $LIBS" 
     3898LIBS="-lssl  $LIBS" 
    38903899cat >conftest.$ac_ext <<_ACEOF 
    38913900#line $LINENO "configure" 
     
    39173926  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    39183927  (exit $ac_status); }; }; then 
    3919   ac_cv_lib_crypto_main=yes 
     3928  ac_cv_lib_ssl_main=yes 
    39203929else 
    39213930  echo "$as_me: failed program was:" >&5 
    39223931sed 's/^/| /' conftest.$ac_ext >&5 
    39233932 
    3924 ac_cv_lib_crypto_main=no 
     3933ac_cv_lib_ssl_main=no 
    39253934fi 
    39263935rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
    39273936LIBS=$ac_check_lib_save_LIBS 
    39283937fi 
    3929 echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_main" >&5 
    3930 echo "${ECHO_T}$ac_cv_lib_crypto_main" >&6 
    3931 if test $ac_cv_lib_crypto_main = yes; then 
    3932  
    3933                 LIBS="$LIBS -lcrypto
     3938echo "$as_me:$LINENO: result: $ac_cv_lib_ssl_main" >&5 
     3939echo "${ECHO_T}$ac_cv_lib_ssl_main" >&6 
     3940if test $ac_cv_lib_ssl_main = yes; then 
     3941 
     3942                LIBS="$LIBS -lssl
    39343943 
    39353944else 
  • wire/trunk/configure.in

    r1720 r1721  
    5353 
    5454####################################################################### 
    55 # Checks for librarie
     55# Checks for additional path
    5656 
    5757# Check if we need /usr/local/{include,lib}/ 
     
    7272if test -d /usr/local/ssl/lib; then 
    7373        LDFLAGS="$LDFLAGS -L/usr/local/ssl/lib" 
     74fi 
     75 
     76 
     77# Check if we need /usr/kerberos/include 
     78if test -d /usr/kerberos/include; then 
     79        CPPFLAGS="$CPPFLAGS -I/usr/kerberos/include" 
     80fi 
     81 
     82 
     83####################################################################### 
     84# Checks for libraries 
     85 
     86# Check that we have a libzanka in this directory 
     87if ! test -f libzanka/configure; then 
     88        WR_MSG_LIBZANKA_ERROR 
    7489fi 
    7590 
     
    87102 
    88103 
    89 # Check that we have a libzanka in this directory 
    90 if ! test -f libzanka/configure; then 
    91         WR_MSG_LIBZANKA_ERROR 
    92 fi 
    93  
    94  
    95104# Check if we need the math library 
    96105AC_CHECK_FUNC([pow], [], [ 
     
    125134 
    126135 
     136# Check for the OpenSSL crypto library 
     137AC_CHECK_HEADERS([openssl/sha.h], [ 
     138        AC_CHECK_LIB([crypto], [main], [ 
     139                LIBS="$LIBS -lcrypto" 
     140        ], [ 
     141                WR_MSG_LIB_ERROR([OpenSSL]) 
     142        ]) 
     143], [ 
     144        WR_MSG_LIB_ERROR([OpenSSL]) 
     145]) 
     146 
     147 
    127148# Check for the OpenSSL ssl library 
    128149AC_CHECK_HEADERS([openssl/ssl.h], [ 
    129150        AC_CHECK_LIB([ssl], [main], [ 
    130151                LIBS="$LIBS -lssl" 
    131         ], [ 
    132                 WR_MSG_LIB_ERROR([OpenSSL]) 
    133         ]) 
    134 ], [ 
    135         WR_MSG_LIB_ERROR([OpenSSL]) 
    136 ]) 
    137  
    138  
    139 # Check for the OpenSSL crypto library 
    140 AC_CHECK_HEADERS([openssl/sha.h], [ 
    141         AC_CHECK_LIB([crypto], [main], [ 
    142                 LIBS="$LIBS -lcrypto" 
    143152        ], [ 
    144153                WR_MSG_LIB_ERROR([OpenSSL])